<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.IncomesExpenseViewMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.IncomesExpenseView">
        <result column="amount" property="amount" />
        <result column="cname" property="cname" />
        <result column="c_id" property="cId" />
        <result column="account_name" property="accountName" />
        <result column="account_id" property="accountId" />
        <result column="cycle_date" property="cycleDate" />
        <result column="cycle_type" property="cycleType" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        amount, cname, c_id, account_name, account_id, cycle_date, cycle_type
    </sql>

</mapper>
